hpp-template-corba: hpp::corba::Server< T > Class Template Reference

hpp-template-corba 9.0.2 Template corba server |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::corba::Server< T > Class Template Reference

Template CORBA server. More...

`#include <hpp/corba/template/server.hh>`

Inheritance diagram for hpp::corba::Server< T >:
[legend]
Collaboration diagram for hpp::corba::Server< T >:
[legend]

## Public Member Functions
| Server (int argc, const char *argv[], const char *orb_identifier="", const char *options[][2]=0)
| Constructor.
| ~Server ()
| Shutdown CORBA server.
T & | implementation ()
| Return a reference to the implementation.
CORBA server initialization
bool | initRootPOA (bool inMultiThread)
bool | initOmniINSPOA (const char *object_id)
Public Member Functions inherited from hpp::corba::ServerBase
| ServerBase (int argc, const char *argv[], const char *orb_identifier="", const char *options[][2]=0)
| Constructor.
virtual | ~ServerBase ()
| Shutdown CORBA server.
int | startCorbaServer (const std::string &contextId, const std::string &contextKind, const std::string &objectId, const std::string &objectKind)
| Initialize CORBA server to process requests from clients and declare it to the NameService (DNS for CORBA)
int | startCorbaServer (const std::string &contextId, const std::string &contextKind)
| Initialize CORBA server to process requests from clients and declare it to the NameService (DNS for CORBA)
int | startCorbaServer ()
| Initialize CORBA server to process requests from clients.
int | processRequest (bool loop)
| If ORB work is pending, process it.
PortableServer::POA_var | main_poa ()
PortableServer::POA_var | poa ()
| The Portable Object Adapter used to active the server.
CORBA::ORB_var | orb ()
bool | initORB (int argc, const char *argv[], const char *orb_identifier, const char *options[][2])
bool | initRootPOA (bool inMultiThread)
bool | initOmniINSPOA ()

## Additional Inherited Members
Protected Member Functions inherited from hpp::corba::ServerBase
void | setServant (CORBA::Object_ptr obj)
Protected Attributes inherited from hpp::corba::ServerBase
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_
PortableServer::POA_var | main_poa_
PortableServer::POA_var | ins_poa_
CosNaming::NamingContext_var | hppContext_
| Corba context.

## Detailed Description

template<class T>
class hpp::corba::Server< T >

Template CORBA server.

For information on how to use see the How to section of the main documentation page

## Constructor & Destructor Documentation

## ◆ Server()

template<class T>

hpp::corba::Server< T >::Server | ( | int | argc,
|  | const char * | argv[],
|  | const char * | orb_identifier = "",
|  | const char * | options[][2] = 0 )

Constructor.

Parameters

  argc,argv | parameter to feed ORB initialization.

Note
  It is recommended to configure your Corba implementation through environment variables and to set argc to 1 and argv to any string.

## ◆ ~Server()

template<class T>

hpp::corba::Server< T >::~Server | ( |  | ) |

Shutdown CORBA server.

## Member Function Documentation

## ◆ implementation()

template<class T>

T & hpp::corba::Server< T >::implementation | ( |  | ) |

Return a reference to the implementation.

## ◆ initOmniINSPOA()

template<class T>

bool hpp::corba::Server< T >::initOmniINSPOA | ( | const char * | object_id | ) |

Initialize a root POA This cannot be multithreaded. It is suitable to serve an object at a fixed address. The address can be set using the ORB endPoint option.

Parameters

  object_id | the object name, use in the address (corbaloc:iiop:host:port/object_id)

## ◆ initRootPOA()

template<class T>

bool hpp::corba::Server< T >::initRootPOA | ( | bool | inMultiThread | ) |

Initialize a root POA This is suitable for multithreading and for using a name service.

Parameters

  inMultiThread | whether the server may process request using multithread policy.

The documentation for this class was generated from the following files:

- include/hpp/corba/template/server.hh
- include/hpp/corba/template/server.hxx